import request from "@/utils/request"

// 按日查询任务表列表
export function taskList(data) {
    return request.post({
        url: '/patrol/patroltask/list',
        data
    })
}

// 按月查询任务表列表
export function taskListMonth(data) {
    return request.post({
        url: '/patrol/patroltask/listm',
        data
    })
}

// 按条件搜索任务列表
export function taskLists(data) {
    return request.post({
        url: '/patrol/patroltask/lists',
        data
    })
}

// 查询任务详情
export function taskDetail(data) {
    return request.post({
        url: '/patrol/patroltask/detail',
        data
    })
}

// 批量提交检查点的结果
export function submitResult(data) {
    return request.post({
        url: '/patrol/patroltask/submitresult',
        data
    })
}

// 提交任务
export function submitTask(data) {
    return request.post({
        url: '/patrol/patroltask/submittask',
        data
    })
}

// 查询任务检查项详情
export function taskGroupDetail(data) {
    return request.post({
        url: '/patrol/patroltask/taskgroup',
        data
    })
}

// 异常上报表管理
export function problemDetail(data) {
    return request.post({
        url: '/patrol/patrolproblem/detail',
        data
    })
}

// 查询异常上报表列表
export function problemList(data) {
    return request.post({
        url: '/patrol/patrolproblem/list',
        data
    })
}

// 添加问题上报
export function problemAdd(data) {
    return request.post({
        url: '/patrol/patrolproblem/addproblem',
        data
    })
}
// 编辑问题
export function problemEdit(data) {
    return request.post({
        url: '/patrol/patrolproblem/editproblem',
        data
    })
}
// 删除问题
export function problemDel(data) {
    return request.post({
        url: '/patrol/patrolproblem/delproblem',
        data
    })
}
// 添加追踪记录
export function problemAddLog(data) {
    return request.post({
        url: '/patrol/patrolproblem/addproblemlog',
        data
    })
}

// 图片上传
export function minioUpload(data) {
    return request.uploadFile({
        url: '/patrol/minio/upload',
        ...data
    })
}
// 获取minio参数
export function minioParam(data) {
    return request.post({
        url: '/patrol/minio/param',
        data
    })
}

// 待检查的任务数量
export function querytodaytasknum(data) {
    return request.post({
        url: '/patrol/patroltask/querytodaytasknum',
        data
    })
}



